class Parlez::Admin::PostsController < Parlez::Admin::BaseController
  helper :parlez
  layout 'layouts/parlez_admin'

  def index
    @posts = Parlez::Post.order('published_at DESC').all
  end

  def new
    @post = Parlez::Post.new
  end

  def create
    @post = Parlez::Post.create!(params[:parlez_post])
    flash[:notice] = 'Post created!'
    redirect_to :action => :index
  rescue ActiveRecord::RecordInvalid => e
    @post = e.record
    flash[:error] = 'Please correct the errors below.'
    render :action => :new
  end

  def edit
    @post = Parlez::Post.find(params[:id])
  end

  def update
    @post = Parlez::Post.find(params[:id])
    @post.update_attributes!(params[:parlez_post])
    flash[:notice] = 'Post saved!'
    redirect_to :action => :index
  rescue ActiveRecord::RecordInvalid => e
    @post = e.record
    flash[:error] = 'Please correct the errors below.'
    render :action => :edit
  rescue ActiveRecord::RecordNotFound
    flash[:error] = 'Post not found!'
    redirect_to :action => :index
  end

  def destroy
    @post = Parlez::Post.find(params[:id])
    @post.destroy
    flash[:notice] = 'Post deleted.'
    redirect_to :action => :index
  rescue ActiveRecord::RecordNotFound
    flash[:error] = 'Post not found!'
    redirect_to :action => :index
  end

end