class Parlez::Post < ActiveRecord::Base
  # TODO: Update this when isolated engines comes into play.
  self.table_name_prefix = 'parlez_'

  # Associations
  has_many :comments, :class_name => 'Parlez::Comment'

  # Validations
  [ :title, :slug, :author, :body, :published_at ].each do |attr|
    validates_presence_of attr, :message => "#{attr.to_s.humanize} must be present."
  end

  # Scopes
  scope :published, lambda{ where(['published_at < ?', DateTime.now]) }

  # Class Methods

  # Instance Methods
  def permalink
    'Not yet implemented'
  end

  def to_param
    "#{self.id}-#{self.slug}"
  end
end
