Rails.application.routes.draw do
  admin_prefix  = Parlez::Engine.config.admin_prefix
  frontend_path = Parlez::Engine.config.frontend_path

  scope :parlez, :as => 'parlez' do
    scope :admin, :as => 'admin', :path => admin_prefix, :except => :show do
      resources :posts, :controller => 'parlez/admin/posts'
      resources :comments, :controller => 'parlez/admin/comments'
    end
    resources :posts, :path => frontend_path, :only => [:index, :show], :controller => 'parlez/posts'
    resources :comments, :path => frontend_path, :only => [:create], :controller => 'parlez/comments'
  end
end
