class SetupParlez < ActiveRecord::Migration
  def self.up
    create_table :parlez_posts do |t|
      t.string   :title
      t.string   :slug
      t.string   :author
      t.datetime :published_at
      t.text     :body
      t.timestamps
    end

    create_table :parlez_comments do |t|
      t.integer :post_id
      t.string :user_ip
      t.string :user_agent
      t.string :referrer
      t.string :comment_type
      t.string :author
      t.string :author_email
      t.string :author_url
      t.text :content
      t.boolean :is_spam, :default => true
      t.datetime :checked_at
      t.timestamps
    end
  end

  def self.down
    drop_table :parlez_posts
    drop_table :parlez_comments
  end
end
