require 'parlez'
require 'rails'

module Parlez
 class Engine < ::Rails::Engine
   # CONFIGURATION DEFAULTS

   # Base class for the Parlez::Admin::BaseController to inherit from.
   # You can use this to share your authentication with Parlez. Just sub-class your UserSessionsController, for example.
   config.admin_parent_class = false # false as a default. Must be set in your application.

   # Name of the Rails layout you want Parlez to use
   config.layout = 'parlez'

   # Simple HTTP Authentication
   config.username = 'parlez'
   config.password = 'zelrap'

   # The path for the frontend views
   config.frontend_path = '/blog'

   # The path to the admin interface. Parlez will prepend this to its own paths
   # to maintain admin-side consistency.
   config.admin_prefix = '/admin'

   # The number of posts to display on the front end index pages.
   config.posts_per_page = 10

   # Periodically check for updates
   config.check_for_updates = false
  end
end