(function($) {
  $.fn.slugify = function(options) {
    defaults = {
      source: null,
      separator: '-'
    }

    // Build main options before element iteration
    var settings = $.extend({}, defaults, options);

    // Iterate and apply to each matched element
    return this.each(function() {
      $this = $(this);
      settings.source.bind('keyup.slugify', function(e){
        $this.val( slugify(settings.source.val()) );
      });
    });
  };

  function slugify(str){
    str = str.replace(/^\s+|\s+$/g, '');
    var from = "ÀÁÄÂÈÉËÊÌÍÏÎÒÓÖÔÙÚÜÛàáäâèéëêìíïîòóöôùúüûÑñÇç·/_,:;";
    var to   = "aaaaeeeeiiiioooouuuuaaaaeeeeiiiioooouuuunncc------";
    for (var i=0, l=from.length ; i<l ; i++) {
      str = str.replace(new RegExp(from[i], "g"), to[i]);
    }
    str = str.replace(/[^a-zA-Z0-9 -]/g, '').replace(/\s+/g, '-').toLowerCase();
    return str;
  }

})(jQuery);